#
# spec file for package ghex (Version 1.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile control-center control-center-devel docbktls docbook-dsssl-stylesheets docbook_4 esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpc gtk gtk-devel gxmhtml imlib imlib-devel indent jade_dsl libjpeg libpng libtiff libungif libxml libxml-devel libz orbit orbit-devel scrollkeeper xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils docbktls docbook-dsssl-stylesheets docbook_4 e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpc gpm gppshare grep groff gtk gtk-devel gxmhtml gzip imlib imlib-devel indent jade_dsl kbd less libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm scrollkeeper sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         ghex
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Applications
  
Autoreqprov:  on
Version:      1.2.1
Release:      146
Summary:      Hexeditor for GNOME
Url: http://pluton.ijs.si/~jaka/gnome.html#GHEX
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/ghex/ghex-%{version}.tar.bz2
BuildRoot: /var/tmp/ghex-root
Docdir: %{_defaultdocdir}/ghex

%description
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

Authors:
--------
    Jaka Mocnik <jaka.mocnik@kiss.uni-lj.si>

SuSE series: gnm

%prep
%setup -n ghex-%{version}

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde
CFLAGS="$RPM_OPT_FLAGS" \
  make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS
%attr(755,root,root) %{prefix}/bin/ghex
%{prefix}/share/gnome/apps/Applications/ghex.desktop
%{prefix}/share/gnome/help/ghex/C/*
%{prefix}/share/pixmaps/gnome-ghex.png

%changelog -n ghex
* Fri Jun 15 2001 - hhetter@suse.de
- update to 1.2.1
- use bz2
- added scrollkeeper to neededforbuild
- added suse_update_config
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Thu Mar 22 2001 - hhetter@suse.de
- updated to version 1.2 (RC1)
- specfile improvements
* Wed Mar 14 2001 - ro@suse.de
- changed neededforbuild <docbk_4> to <docbook_4>
* Thu Feb 22 2001 - hhetter@suse.de
- initial build
- tested on 7.1 in GNOME1.4 Environment
